Share account connection
POST
/accounts/{accountID}/connections
curl -X POST "https://api.moov.io/accounts/{accountID}/connections" \
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2024.01.00" \
--data-raw '{
"principalAccountID": "string",
"allowScopes": [
"accounts.read"
]
}'\
The resource was successfully created.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.
{
"principalAccountID": "string",
"allowScopes": {
"0": "first element failed validation..."
}
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
Body
application/json
principalAccountID
string
required
The account ID that will receive access to the scopes.
allowScopes
array<string>
The list of scopes to share with the principal account. If none are provided, all intersecting scopes are added.
Possible values:
accounts.read,
accounts.write,
analytics.read,
apple-pay-merchant.read,
apple-pay-merchant.write,
apple-pay.read,
apple-pay.write,
bank-accounts.read,
bank-accounts.write,
capabilities.read,
capabilities.write,
cards.read,
cards.write,
documents.read,
documents.write,
fed.read,
files.read,
files.write,
issued-cards.read,
issued-cards.write,
issued-cards.read-secure,
payment-methods.read,
ping.read,
profile-enrichment.read,
profile.read,
profile.write,
profile.disconnect,
representatives.read,
representatives.write,
transfers.read,
transfers.write,
wallets.read